import axios from '@/utils/axios'
/**
* 权限系统
*/
export default {
/**
 * 登录
 */
PermissionLogin(data) {
    return axios.post('/permission/api/admin/login', data)
},
  /**
   * 用户信息
   */
   getPermissionUserInfo() {
    return axios.get('/permission/api/system/userinfo')
  },
/**
* 不分页查询部门
*/
getPermissionDepartmentList(params) {
    return axios.get('/permission/api/department/getDepartmentList', { params })
},
/**
* 验证码
*/
getPermissionVerifyCode() {
    return axios.get('/permission/api/admin/verifyCode')
  },
/**
* 应用权限
*/
  getPermissionList(params) {
    return axios.get('/permission/api/system/getPermissionList',{ params })
  },
/**
* 不分页查询人员
*/
  getPermissionPersonnelList(params) {
    return axios.get('/permission/api/personnel/getPersonnelList', { params })
  },



/**
* 分页查询部门
*/
getPermissionDepartment(params) {
  return axios.get('/permission/api/department/queryPageList', { params })
},

/**
* 分页查询人员
*/
getPermissionPersonnel(params) {
  return axios.post('/permission/api/personnel/queryPageList', params)
},


/** 
 * 根据租户ID查询部门
 */
 getTenantDepartments(){
  return axios.get('/permission/api/department/getTenantDepartments')
},
/** 
 * 根据租户ID查询人员
 */
getTenantPersonnel(){
  return axios.get('/permission/api/system/getTenantPersonnel')
},
 /**
     * 查询租户
     */
  getAllTenantList(params) {
    return axios.get('/permission/api/tenant/getTenantList', {params})
  },
   //邀请码注册
   addByInvitation(data){
    return axios.post('/permission/api/tenant/addByInvitation',data)
  },
   //邀请码获取用户信息
  queryByInvitation(params){
    return axios.get('/permission/api/tenant/queryByInvitation',{params})
  },
   //用户反馈
  addUserFeedBack(data){
    return axios.post('/permission/api/userFeedBack/addNew',data)
  },
   /**
   * 登录页重置密码
   */
   reSetPasswordBeforeLogin(data) {
    return axios.post('/permission/api/admin/reSetPasswordBeforeLogin',data)
  },

}


